## AgsFileLaunch

AgsFileLaunch — launch objects read of file.

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FILE_LAUNCH_GET_OBJ_MUTEX()
void | ags_file_launch_start ()
AgsFileLaunch * | ags_file_launch_new ()

## Properties

GObject * | file | Read / Write
gpointer | node | Read / Write
gpointer | reference | Read / Write

## Signals

void | start | Run Last

## Object Hierarchy

        GObject
        ╰── AgsFileLaunch

## Includes

    #include <ags/file/ags_file_launch.h>

## Description

The AgsFileLaunch launches read objects of file.

## Functions

### AGS_FILE_LAUNCH_GET_OBJ_MUTEX()

    #define AGS_FILE_LAUNCH_GET_OBJ_MUTEX(obj) (&(((AgsFileLaunch *) obj)->obj_mutex))

### ags_file_launch_start ()

    void
    ags_file_launch_start (AgsFileLaunch *file_launch);

Start AgsFileLaunch to fulfill a task.

#### Parameters

file_launch | the AgsFileLaunch |

Since: 3.0.0

### ags_file_launch_new ()

    AgsFileLaunch *
    ags_file_launch_new ();

Create a new instance of AgsFileLaunch

#### Returns

the new AgsFileLaunch

Since: 3.0.0

## Property Details

### The `“file”` property

      “file”                     GObject *

The AgsFile this AgsFileLaunch belongs to.

Owner: AgsFileLaunch

Flags: Read / Write

Since: 3.0.0

### The `“node”` property

      “node”                     gpointer

The assigned xmlNode being referred by this AgsFileLaunch.

Owner: AgsFileLaunch

Flags: Read / Write

Since: 3.0.0

### The `“reference”` property

      “reference”                gpointer

The object referred by this AgsFileLaunch.

Owner: AgsFileLaunch

Flags: Read / Write

Since: 3.0.0

## Signal Details

### The `“start”` signal

    void
    user_function (AgsFileLaunch *file_id_ref,
                   gpointer       user_data)

Signal ::start to notify about start :reference.

#### Parameters

file_id_ref | the AgsFileLaunch |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0